# Prevention alerts

The report retrieves data to identify and resolve potential issues, thereby preventing the generation of alerts.


  This report uses the created_at as the default parameter for unloading data.
  In a successful response, the report_url field will contain a link to the file.

Endpoint: POST /prevention_alerts
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Request fields (application/json):

  - `filter` (string)
    Filtering criteria for the report data.
    Enum: "updated_at", "created_at"

  - `date_from` (string, required)
    Start datetime for the report stated in UTC+0.
    Example: "2025-08-15 11:00:00"

  - `date_to` (string, required)
    End datetime for the report stated in UTC+0.
    Example: "2025-09-20 13:00:00"

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `report_url` (string)
        URL for the report stored on Amazon S3, which needs to be downloaded.
        Example: "https://reports.solidgate.com/api/v1/prevention_alerts/report/prev_alert_220504_143924_test/download"
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]


